Retrieves a customer item.
curl --request GET \
--url https://api.example.com/api/v1/customer/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.example.com/api/v1/customer/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.example.com/api/v1/customer/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"operatorId": "<string>",
"updatedTs": "2023-11-07T05:31:56Z",
"createdTs": "2023-11-07T05:31:56Z",
"isIdEmpty": true,
"createdBy": "<string>",
"hidden": true,
"deleted": true,
"importId": "<string>",
"externalId": "<string>",
"externalBrandId": "<string>",
"username": "<string>",
"country": "<string>",
"country_code": "<string>",
"registerIp": "<string>",
"registrationDate": "2023-11-07T05:31:56Z",
"hasDeposited": true,
"ftdDate": "2023-11-07T05:31:56Z",
"cpaQualified": true,
"cpaQualificationDate": "2023-11-07T05:31:56Z",
"lifetimeRevenue": 123,
"firstDepositAmount": 123,
"firstRevenueAmount": 123,
"lifetimeDeposits": 123,
"lifetimeRevShareCommission": 123,
"lifetimeCpaCommission": 123,
"lifetimeFixedCommission": 123,
"lifetimeCommission": 123,
"tracking": {
"clickId": "<string>",
"affiliateId": "<string>",
"affiliateName": "<string>",
"affiliateTrackerId": "<string>",
"affiliateTrackerName": "<string>",
"brandId": "<string>",
"brandName": "<string>",
"productId": "<string>",
"productName": "<string>",
"mediaId": "<string>",
"media": {
"type": "<string>",
"text": "<string>",
"imageUrl": "<string>"
},
"customParameter": "<string>",
"date": "2023-11-07T05:31:56Z",
"referringUrl": "<string>"
},
"category": "<string>",
"label": "<string>",
"revShareExcluded": true,
"cpaExcluded": true,
"transactions": [
{
"id": "<string>",
"operatorId": "<string>",
"updatedTs": "2023-11-07T05:31:56Z",
"createdTs": "2023-11-07T05:31:56Z",
"isIdEmpty": true,
"createdBy": "<string>",
"hidden": true,
"deleted": true,
"importId": "<string>",
"integrationType": "<string>",
"customerId": "<string>",
"type": "<string>",
"externalId": "<string>",
"externalCustomerId": "<string>",
"externalBrandId": "<string>",
"externalProductId": "<string>",
"country": "<string>",
"country_code": "<string>",
"depositAmount": 123,
"firstTransaction": true,
"grossRevenue": 123,
"revenueAmount": 123,
"wageredAmount": 123,
"taxes": 123,
"costOfGoodsSold": 123,
"paymentFees": 123,
"cpaQualified": true,
"revShareCommission": 123,
"cpaCommission": 123,
"fixedCommission": 123,
"transactionDate": "2023-11-07T05:31:56Z",
"periodId": 123,
"tracking": {
"clickId": "<string>",
"affiliateId": "<string>",
"affiliateName": "<string>",
"affiliateTrackerId": "<string>",
"affiliateTrackerName": "<string>",
"brandId": "<string>",
"brandName": "<string>",
"productId": "<string>",
"productName": "<string>",
"mediaId": "<string>",
"media": {
"type": "<string>",
"text": "<string>",
"imageUrl": "<string>"
},
"customParameter": "<string>",
"date": "2023-11-07T05:31:56Z",
"referringUrl": "<string>"
},
"category": "<string>",
"label": "<string>",
"note": "<string>",
"childAffiliateIds": [
"<string>"
],
"payoutInfo": {
"affiliateId": "<string>",
"affiliateName": "<string>",
"invoicePeriod": "<string>",
"invoiceDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"payoutMethod": {
"id": "<string>",
"operatorId": "<string>",
"updatedTs": "2023-11-07T05:31:56Z",
"createdTs": "2023-11-07T05:31:56Z",
"isIdEmpty": true,
"createdBy": "<string>",
"hidden": true,
"deleted": true,
"companyId": "<string>",
"companyName": "<string>",
"type": "<string>",
"payee": "<string>",
"walletAddress": "<string>",
"email": "<string>",
"iban": "<string>",
"swift": "<string>",
"accountNumber": "<string>",
"sortcode": "<string>",
"bankName": "<string>",
"bankAddress": {
"addressLine": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"postcode": "<string>"
}
},
"paymentDate": "2023-11-07T05:31:56Z",
"amount": 123,
"tax": 123,
"total": 123,
"notes": "<string>",
"email": "<string>",
"website": "<string>",
"affiliateContact": "<string>",
"affiliateCompany": "<string>",
"affiliateCompanyNo": "<string>",
"affiliateAddress": {
"addressLine": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"postcode": "<string>"
},
"affiliateTaxIds": [
{
"id": "<string>",
"value": "<string>",
"type": "<string>",
"country": "<string>",
"stripeId": "<string>",
"stripeStatus": "<string>"
}
],
"affiliateVatRegistered": true,
"affiliateTaxRate": 123,
"companyName": "<string>",
"companyInvoiceAddress": {
"addressLine": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"postcode": "<string>"
},
"companyTaxIds": [
{
"id": "<string>",
"value": "<string>",
"type": "<string>",
"country": "<string>",
"stripeId": "<string>",
"stripeStatus": "<string>"
}
],
"companyNumber": "<string>",
"accountsEmail": "<string>",
"currencyCode": "<string>"
},
"planId": "<string>",
"planName": "<string>"
}
]
}Customer
Retrieves a customer item.
GET
/
api
/
v1
/
customer
/
{id}
Retrieves a customer item.
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Headers
Path Parameters
The unique identifier of the customer item.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I